Bug 847113 - [webadmin] Default disk format - 'Thin Provision' for NFS / 'Preallocated' for Block Devices
[webadmin] Default disk format - 'Thin Provision' for NFS / 'Preallocated' fo...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Hildred
ecs-bugs
storage
: Documentation
Depends On: 840327
Blocks: 815452
  Show dependency treegraph
 
Reported: 2012-08-09 14:18 EDT by Stephen Gordon
Modified: 2016-02-10 15:22 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 840327
Environment:
Last Closed: 2012-12-04 12:22:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2012-08-09 14:18:17 EDT
Need to briefly touch on the default formats for vm disks, which is changing.

+++ This bug was initially created as a clone of Bug #840327 +++

Description of problem:
When creating a new virtual disk, the default disk format should be:
'Thin Provision' for NFS and 'Preallocated' for Block Devices.

Steps to Reproduce:
Open 'Add Virtual Disk' dialog.
  
Actual results:
Desktop VM, Default format: 'Thin' on the first disk; otherwise, 'Preallocated'.
Server VM, Default format: 'Preallocated'.

Expected results:
Default format: 'Thin Provision' for NFS and 'Preallocated' for Block Devices.

--- Additional comment from derez@redhat.com on 2012-07-22 09:29:26 EDT ---

upstream commit a0e96a2065cc06583d1ddb20d05186c302599c6a

--- Additional comment from sgordon@redhat.com on 2012-08-09 10:15:05 EDT ---


    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, by default, thin provisioned storage would be used for the first disk added to a desktop virtual machine. Pre-allocated storage was used, by default, for all subsequent disks and all disk attached to server virtual machines. The defaults have been changed. Thin provisioned disks are now the default on NFS storage, while pre-allocated disks are the default on block devices.

--- Additional comment from vvyazmin@redhat.com on 2012-08-09 11:26:54 EDT ---

Verified on RHEVM 3.1 - SI13.2

RHEVM: rhevm-3.1.0-11.el6ev.noarch
VDSM: vdsm-4.9.6-27.0.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.298.el6_3.x86_64
SANLOCK: sanlock-2.3-3.el6_3.x86_64

--- Additional comment from sgordon@redhat.com on 2012-08-09 14:16:57 EDT ---

Removing the release note flag and cloning the bug to ensure we document it formally in the Admin Guide instead.

Note You need to log in before you can comment on or make changes to this bug.